=== debian/changelog ===
ros-indigo-ackermann-controller (0.2.2-0trusty) trusty; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 01 Feb 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.2.1-0trusty) trusty; urgency=high

  * [ackermann] Change package description
  * Update computation of virtual steering
  * Update test for four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.2.0-0trusty) trusty; urgency=high

  * [4ws] Only enable twist cmd
  * remove test on radius param
  * Create the package urdf_vehicle_kinematic
  * Remove rviz display from test
  * [ackermann] Add test depend
  * Add joint steering limit
  * [ackermann] Add test for the validity of odometry
  * [ackermann] remove previous test urdf
  * [ackermann] Add first test with wrong config
  * [ackermann] Add tests
  * Assure controllability with twist command
  * Update 4ws twist cmd according to the wiki
    https://forge.irstea.fr/projects/robot-mobile/wiki/4WS_vehicle_model
  * Update ackermann controller with good steering mesure and command
  * [ackermann] Lookup for front and wheel radius in param fix #1
  * [ackermann] Enable different wheel radius on front and rear
  * Fix some names
  * Update ackermann controller according to 4ws controller
  * Update CMakelists and package format
  * Clean controllers code
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 18 Jan 2017 23:00:00 -0000

ros-indigo-ackermann-controller (0.1.2-0trusty) trusty; urgency=high

  * Install python scripts
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 04 Sep 2016 22:00:00 -0000

ros-indigo-ackermann-controller (0.1.1-0trusty) trusty; urgency=high

  * Initial version of ackermann_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 30 Aug 2016 22:00:00 -0000
